Subject: bug#44329: 28.0.50; Crash in bidi_mirror_char on view-hello-file when no bidi-display-reordering (harfbuzz)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Oct 2020 23:01:03 +0200

> From: Kevin Brubeck Unhammer <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 30 Oct 2020 21:42:45 +0100
> 
> > This isn't supported: that variable is not supposed to be set nil,
> > except for debugging display problems.
> 
> Is there something like make-obsolete-variable for this case that would
> give a warning in init.el on this variable?

The doc string already does warn.  The variable is not obsolete, it is
useful for debugging the display code.

> I am not the only one setting it to nil
> https://github.com/search?q=setq+bidi-display-reordering+nil&type=code
> https://emacs.stackexchange.com/a/21761/730 :) so a warning might stop
> some other poor user from wasting half a day on a pointless debugging
> mission.

I make a point of warning against that every time I see such advice,
but my abilities are limited.

> (The manual also mentions the variable's effect without saying you
> shouldn't set it
> https://www.gnu.org/software/emacs/manual/html_node/emacs/Bidirectional-Editing.html

You assume people who do this read the manual...